<?php

add_action('init', 'of_options');
if (!function_exists('of_options')) {

    function of_options() {
// VARIABLES
        $themename = get_theme_data(STYLESHEETPATH . '/style.css');
        $themename = $themename['Name'];
        $shortname = "of";
// Populate OptionsFramework option in array for use in theme
        global $of_options;
        $of_options = actthemes_get_option('of_options');
        $file_rename = array("on" => "On", "off" => "Off");
        //Option for on off
        $full_col = array("on" => "On", "off" => "Off");
        $cols_three = array("on" => "On", "off" => "Off");
        $multicheck_defaults = array("one" => "1", "five" => "1");
// Background Defaults
        $background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat', 'position' => 'top center', 'attachment' => 'scroll');
// Pull all the categories into an array
        $options_categories = array();
        $options_categories_obj = get_categories();
        foreach ($options_categories_obj as $category) {
            $options_categories[$category->cat_ID] = $category->cat_name;
        }
// Pull all the pages into an array
        $options_pages = array();
        $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
        $options_pages[''] = 'Select a page:';
        foreach ($options_pages_obj as $page) {
            $options_pages[$page->ID] = $page->post_title;
        }
// If using image radio buttons, define a directory path
        $imagepath = get_stylesheet_directory_uri() . '/images/';
        $options = array();
        $options[] = array("name" => "General Settings",
            "type" => "heading");
        //Cuscom Logo
        $options[] = array("name" => "Custom Logo",
            "desc" => "Choose your own logo. Optimal Size: 170px Wide by 30px Height",
            "id" => "actthemes_logo",
            "type" => "upload");
        //Custom Favicon
        $options[] = array("name" => "Custom Favicon",
            "desc" => "Specify a 16px x 16px image that will represent your website's favicon.",
            "id" => "actthemes_favicon",
            "type" => "upload");
        //Google Analytic
        $options[] = array("name" => "Google Analytic Code",
            "desc" => "Paste your Google Analytics (or other) tracking code here.",
            "id" => "actthemes_analytics",
            "std" => "",
            "type" => "textarea");
//****=============================================================================****//
//****-----------This code is used for creating slider settings--------------------****//							
//****=============================================================================****//						
        $options[] = array("name" => "Top Feature Area",
            "type" => "heading");
        //First slider
        $options[] = array("name" => "Feature Heading",
            "desc" => "Enter the Heading",
            "id" => "actthemes_slideheading1",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Feature Description",
            "desc" => "Enter description",
            "id" => "actthemes_slidedescription1",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Text For First Button",
            "desc" => "Enter the Text for First Button.",
            "id" => "actthemes_slidel_rb_1",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Link For First Button",
            "desc" => "Enter the Link URL for First Button.",
            "id" => "actthemes_slidel_r_1",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Text For Second Button",
            "desc" => "Enter the Text for Second Button.",
            "id" => "actthemes_slidel_lb_1",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Link For Second Button",
            "desc" => "Enter the Link URL for Second Button.",
            "id" => "actthemes_slidel_l_1",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Feature Image",
            "desc" => "Choose your image to your feature area. Optimal Size: 516px x 300px",
            "id" => "actthemes_slideimage1",
            "std" => "",
            "type" => "upload");
//****====================================================================****//
//****-----This code is used for homepage first featured section----------****//							
//****====================================================================****//
        $options[] = array("name" => "Homepage Two Cols",
            "type" => "heading");
        //First fearure heading  
        $options[] = array("name" => "Left Column Heading",
            "desc" => "Enter your heading line for left column.",
            "id" => "actthemes_headline1",
            "std" => "",
            "type" => "textarea");
        //First feature content
        $options[] = array("name" => "Left Column Description",
            "desc" => "Enter your feature content for left column.",
            "id" => "actthemes_feature1",
            "std" => "",
            "type" => "textarea");
        //Testimonial Heading
        $options[] = array("name" => "Right Column Heading",
            "desc" => "Enter your heading line for right column.",
            "id" => "actthemes_headline2",
            "std" => "",
            "type" => "textarea");
        //First client testimonial image
        $options[] = array("name" => "Right Column Image",
            "desc" => "Choose image for right column section.",
            "id" => "actthemes_testo_image1",
            "std" => "",
            "type" => "upload");
        //First client testimonial description
        $options[] = array("name" => "Right Column Description",
            "desc" => "Enter description for right column section.",
            "id" => "actthemes_testo_desc1",
            "std" => "",
            "type" => "textarea");
//****====================================================================****//
//****-----This code is used for homepage second featured section---------****//							
//****====================================================================****//
        //Second Feature Section start
        $options[] = array("name" => "Homepage Featured Section",
            "type" => "heading");

        //First section image
        $options[] = array("name" => "First Feature Section Image",
            "desc" => "Choose your image for first feature section.",
            "id" => "actthemes_featured_img_1",
            "std" => "",
            "type" => "upload");
        //First section heading
        $options[] = array("name" => "First Feature Section Heading",
            "desc" => "Enter your text heading for first feature section.",
            "id" => "actthemes_featured_h_1",
            "std" => "",
            "type" => "textarea");
        //First section 
        $options[] = array("name" => "First Feature Section Description",
            "desc" => "Enter your content for first feature section descriptions.",
            "id" => "actthemes_featured_1",
            "std" => "",
            "type" => "textarea");
        //Second Section Separetor
        $options[] = array("name" => "Second Feature Section.",
            "type" => "saperate",
            "class" => "saperator");
        //Second section image
        $options[] = array("name" => "Second Feature Section Image",
            "desc" => "Choose your image for second feature section.",
            "id" => "actthemes_featured_img_2",
            "std" => "",
            "type" => "upload");
        //Second section heading
        $options[] = array("name" => "Second Feature Section Heading",
            "desc" => "Enter your text heading for second feature section.",
            "id" => "actthemes_featured_h_2",
            "std" => "",
            "type" => "textarea");
        //Second section 
        $options[] = array("name" => "Second Feature Section Description",
            "desc" => "Enter your content for second feature section descriptions.",
            "id" => "actthemes_featured_2",
            "std" => "",
            "type" => "textarea");
        //Third Section Separetor
        $options[] = array("name" => "Third Feature Section.",
            "type" => "saperate",
            "class" => "saperator");
        //Third section image
        $options[] = array("name" => "Third Feature Section Image",
            "desc" => "Choose your image for third feature section.",
            "id" => "actthemes_featured_img_3",
            "std" => "",
            "type" => "upload");
        //Third section heading
        $options[] = array("name" => "Third Feature Section Heading",
            "desc" => "Enter your text heading for third feature section.",
            "id" => "actthemes_featured_h_3",
            "std" => "",
            "type" => "textarea");
        //Third section 
        $options[] = array("name" => "Third Feature Section Description",
            "desc" => "Enter your content for third feature section descriptions.",
            "id" => "actthemes_featured_3",
            "std" => "",
            "type" => "textarea");
        //Fourth Section Separetor
        $options[] = array("name" => "Fourth Feature Section.",
            "type" => "saperate",
            "class" => "saperator");
        //Fourth section image
        $options[] = array("name" => "Fourth Feature Section Image",
            "desc" => "Choose your image for fourth feature section.",
            "id" => "actthemes_featured_img_4",
            "std" => "",
            "type" => "upload");
        //Fourth section heading
        $options[] = array("name" => "Fourth Feature Section Heading",
            "desc" => "Enter your text heading for fourth feature section.",
            "id" => "actthemes_featured_h_4",
            "std" => "",
            "type" => "textarea");
        //Fourth section 
        $options[] = array("name" => "Fourth Feature Section Description",
            "desc" => "Enter your content for fourth feature section descriptions.",
            "id" => "actthemes_featured_4",
            "std" => "",
            "type" => "textarea");
//****=============================================================================****//
//****-----------This code is used for creating color styleshteet options----------****//							
//****=============================================================================****//				
        $options[] = array("name" => "Styling Options",
            "type" => "heading");
        $options[] = array("name" => "Custom CSS",
            "desc" => "Quickly add some CSS to your theme by adding it to this block.",
            "id" => "actthemes_customcss",
            "std" => "",
            "type" => "textarea");
        actthemes_update_option('of_template', $options);
        actthemes_update_option('of_themename', $themename);
        actthemes_update_option('of_shortname', $shortname);
    }

}
?>
